package com.emr.dao.emrLog;

import com.emr.entity.emrLog.Emr_Log;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface Emr_LogMapper {
    int deleteByPrimaryKey(Integer logId);

    int insert(Emr_Log record);

    int insertSelective(Emr_Log record);

    Emr_Log selectByPrimaryKey(Integer logId);

    int updateByPrimaryKeySelective(Emr_Log record);

    int updateByPrimaryKey(Emr_Log record);

    List<Emr_Log> selectAll(@Param("record")Emr_Log record,@Param("startTime") String startTime,@Param("endTime") String endTime);

    Map<String,Object> selectObjectByKey(@Param("tableName")String tableName, @Param("whereSql")String whereSql);

    int delLogsByDate(@Param("date") String date);

    List<Emr_Log> selectAllByIds(@Param("checks")String checks);

    void deleteLogByIds(@Param("str")String str);

    List<Emr_Log> selectAllByFont(@Param("record")Emr_Log record,@Param("startTime") String startTime,@Param("endTime") String endTime);
}